//
//  Chat Data.swift
//  AcaMate
//
//  Created by TAnine on 2/14/25.
//

import Foundation

enum chatType {
    case Class
    case Student
    case Parent
}

struct SummaryChat {
    var id: String
    
    var chatName: String
    var teacherName: String
    var lastMessage: String
    var dayDate: String
    var timeDate: String
    
    var notiState: Bool
    
    var groupNum: Int
}

struct ChatMesage {
    var roomID: String
    var chatID: String
    var senderID: String
    var message: String
    var sendTime: String
}
